routes/web.php
/************************** route for articles single page  **************************/

Route::get('article/detail/{id}', 'ArticlesController@detail');

/************************** route for articles single page ends  **************************/
//************************** Activities Start***********************************/

Route::get('activities/search', 'ActivityController@searchAct');
Route::get('more-activities', 'ActivityController@allActivities');
Route::get('activity/detail/{id}', 'ActivityController@detail');
Route::get('activities/detail/{id}', 'ActivityController@detail');
Route::get('get-activities-by/{slug}', 'ActivityController@get_activities_bySubCat');
Route::get('get-activities/{slug}', 'ActivityController@getActivitiesBySubCat');
// Route::get('activities', 'ActivityController@allActivities');


//**************************** Activities end **********************/

/**********************`**** route for search page  **************************/

Route::get('search', 'SearchController@searchPage');

Route::get('places/SearchPlcAutoName', 'SearchController@SearchPlcAutoName');
Route::get('search/searchAutoRestName', 'SearchController@searchRstAutoName');
Route::get('search/SearchActAutoName', 'SearchController@searchActAutoName');
/************************** route for search page ends  **************************/
//************************* route for places module start *****************************/
Route::get('places/search', 'PlaceController@search');

Route::get('place/detail/{id}', 'PlaceController@detail');
Route::get('get-places-by/{slug}', 'PlaceController@get_places_bySubCat');
Route::get('places/{slug}', 'PlaceController@get_places_bySubCat');
Route::get('place/subcategory', 'PlaceController@get_subcategories');

/////////////////////// route for restaurants  start//////////////////////

Route::get('restaurants/search', 'RestaurantController@search');
Route::get('restaurants/detail/{id}', 'RestaurantController@detail');
 ////will remove below line.///////
Route::get('get-restaurants-by/{slug}', 'RestaurantController@get_restaurants_bySubCat');

Route::get('restaurants/{slug}', 'RestaurantController@get_restaurants_bySubCat');

Route::get('restaurant/subcategory', 'RestaurantController@get_subcategories');
////////////////////// route for restaurants end /////////////////
// ///////////////////// Review ///////////////////////////
Route::post('review/store', 'ReviewController@store');
///////////////////// route for item detail start ////////////////

Route::view('terms-conditions', 'terms_conditions');
Route::view('privacy-policy', 'privacy_policy');


/************************** route for search page to get search data  **************************/

Route::get('getSearch', 'Admin\ActivityController@getSearch');

/************************** route for search page to get search data ends  **************************/


Route::prefix('admin')->group(function () {
    Route::get('signup', 'Admin\AdLoginController@signup');
    Route::post('register', 'Admin\AdLoginController@register');
    Route::get('test', 'Admin\AdLoginController@test');
    Route::post('auth', 'Admin\AdLoginController@auth');
  Route::get('logout', 'Admin\AdLoginController@logout');
  /*  Route::get('signup', 'Admin\AdLoginController@signup');
    Route::post('login', 'Admin\AdLoginController@index');
    Route::post('logout', 'Admin\AdLoginController@logout');*/
    // Route::get('dashboard', 'Admin\DashboardController@index')->name('dashboard');
    Route::get('/dashboard', 'Admin\DashboardController@index')->name('dashboard');
    Route::get( 'ausers/api', 'Admin\UserController@apiUsers')->name('api.users');
     Route::get( 'users-lisitng', 'Admin\UserController@users_lisitng')->name('users-lisitng');
    Route::resource( 'users', 'Admin\UserController');
    Route::get( 'administrator-listing', 'Admin\AdminController@administrator_listing')->name('administratorListing');
    Route::resource( 'administrator', 'Admin\AdminController');

    //////////////////////Customers Listing//////////////////////
    Route::resource( 'customers', 'Admin\CustomerController');


    Route::get( 'placesListing', 'Admin\PlacesController@placesListing' )->name('placesListing');
    Route::get( 'places/remove_image', 'Admin\PlacesController@remove_image' );
    Route::get( 'places-listing', 'Admin\PlacesController@places_listing' )->name('places_listing');




Route::get( 'places/import-excel', 'Admin\PlacesController@import_excel' ); 
Route::post('places/import-places', 'Admin\PlacesController@store_excel');
Route::get('places/import-rcg-plc' , 'Admin\PlacesController@import_rcg_plc');
Route::get('places/import-idiscover-plc' , 'Admin\PlacesController@import_idiscover_plc');
Route::resource( '/places', 'Admin\PlacesController' );
//////////////////////////// sctivities //////////////////////////////////////////////////////////////

    Route::get( 'activities/remove_image', 'Admin\ActivityController@remove_image' );
    Route::get( 'activities/geocodes', 'Admin\ActivityController@geo_codes' );

    Route::get( 'activity/availability', 'Admin\ActivityController@activity_availability' );

    Route::get( 'activities/api', 'Admin\ActivityController@api' );
    Route::get( 'activities/api_old', 'Admin\ActivityController@api_old' );

Route::get( 'activities-listing', 'Admin\ActivityController@activities_listing' )->name('activities_listing'); 
    Route::resource( '/activities', 'Admin\ActivityController' );
    ////////////////////////////// articals /////////////////////////////////////////
   Route::get( 'articles/remove-image/{id}', 'Admin\ArticlesController@remove_image' ); 
    Route::get( 'articles-listing ', 'Admin\ArticlesController@articles_listing' )->name('articles_listing');
    Route::resource( '/articles', 'Admin\ArticlesController' );

    ////////////// restaurants ///////////////////////////////////////////////////////////
 Route::get('restaurants/import-rcg-places', 'Admin\RestaurantController@import_rcg_rst');
     Route::get('restaurants/import-idiscover-rst', 'Admin\RestaurantController@import_idiscover_rst');
Route::get( '/restaurants/address_delete/{id}', 'Admin\RestaurantController@address_delete');
Route::get( '/restaurants/address/{id}', 'Admin\RestaurantController@address'); 
Route::post( '/restaurants/address_store/{id}', 'Admin\RestaurantController@address_store'); 
Route::get( '/restaurants/remove_image/{id}', 'Admin\RestaurantController@remove_image' ); 
Route::post( '/restaurants/edit_address', 'Admin\RestaurantController@edit_address');
Route::get( '/restaurant-listing', 'Admin\RestaurantController@restaurant_listing'); 
Route::get( '/restaurants/address/{id}', 'Admin\RestaurantController@address' ); 
Route::resource( '/restaurants', 'Admin\RestaurantController' );


    Route::get( 'categoriesListing', 'Admin\CategoriesController@categoryListing' )->name('categoryListing');
    Route::resource( '/categories', 'Admin\CategoriesController' );

    Route::get( 'subcategories/subcategoriesListing', 'Admin\SubCategoriesController@subcategoriesListing' )->name('subcategoriesListing');
    Route::resource( '/subcategories', 'Admin\SubCategoriesController' );
    ////////////// keyword ///////////////
    Route::get( 'keyword-listing', 'Admin\KeywordsController@keyword_listing' )->name('keyword-listing');
    Route::resource( 'keywords', 'Admin\KeywordsController' );
      ////////////// Supplier ///////////////
    Route::get( 'supplier-listing', 'Admin\SupplierController@supplier_listing' )->name('supplier-listing');
    Route::resource( 'suppliers', 'Admin\SupplierController' );
    ////////////// Delas ///////////////
    Route::get( '/deals/get_places/{id}', 'Admin\DealsController@get_places' );

    Route::get( 'dealsListing', 'Admin\DealsController@dealsListing' )->name('dealsListing');
    Route::resource( 'deals', 'Admin\DealsController' );
    ////////////// setting ///////////////
    Route::post( 'update_setting', 'Admin\SettingController@update_setting' );
    Route::resource( 'setting', 'Admin\SettingController' );
    ////////////// profile ///////////////
    Route::post( 'profile/update_image', 'Admin\ProfileController@update_image' );
    Route::post( 'profile/change_password', 'Admin\ProfileController@change_password' );
    Route::post( 'profile/update', 'Admin\ProfileController@update_profile' );
    Route::resource( 'profile', 'Admin\ProfileController' );



     ////////////// permission ///////////////
    Route::get( 'permission/api', 'Admin\PermissionController@apiPermission' )->name('api.permission');
    Route::resource( 'permission', 'Admin\PermissionController' );
    ////////////// role ///////////////
    Route::get( 'role/api', 'Admin\RoleController@apirole' )->name('api.role');
    Route::resource( 'role', 'Admin\RoleController' );

////////////// EmailTemplatesController ///////////////
     Route::get( '/email-templates-listing', 'Admin\EmailTemplatesController@email_templates_listing' );
    Route::resource( 'email-templates', 'Admin\EmailTemplatesController');


    });
    Route::group(['middleware' => ['web', 'auth']], function () {
    Route::post( 'common/status', 'CommonController@update_status' )->name('status.all');
    Route::post( 'common/delete', 'CommonController@delete' )->name('delete.all');
    Route::post( 'common/bulk-oprations', 'CommonController@bulkOprations' )->name('bulk-oprations.all');


    //Route::get( 'users/{user}/getData', 'UserController@getData' )->name('users.getData');
  
    ////////////// order ///////////////
    Route::get( 'order/api', 'OrderController@apiOrder' )->name('api.order');
    Route::resource( 'orders', 'OrderController' );
});


    Route::get('/datatables_custom', 'DatatablesCustomController@index');
    Route::get('/form-controls', 'DatatablesCustomController@form');
    Route::get('/multi-column-forms', 'DatatablesCustomController@multicolumnforms');

    ///////////Order Controller ///////////

app/Models/Setting.php
<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class Setting extends Model
{
    protected $table = 'setting';
    protected $fillable = ['support_email', 'country_code','contact_email', 'sale_email', 'contact_no', 'address', 'city', 'state', 'zip_code', 'social_1', 'social_2', 'map_iframe', 'google_analytic'];
}

resources/views/admin/setting/update_form.blade.php
@extends('layouts.master')
@section('title', 'Setting')
@section('header_space')
    <link href="{{ asset('public/admin/css/select2.css') }}" rel="stylesheet" type="text/css" />
<style type="text/css">
    .form-group.m-form__group.row{
        padding-bottom: 10px;
    }
</style>
@endsection
@section('title_right_section')
    <a href="{{ 'admin::places.create'}}"
       class="btn btn-accent m-btn m-btn--custom m-btn--icon m-btn--air m-btn--pill btn btn-success pull-right">asdfsadf</a>
@endsection
@section('content')
    <div class="m-grid__item m-grid__item--fluid m-wrapper">
        <!-- BEGIN: Subheader -->
        <div class="m-subheader ">
            <div class="d-flex align-items-center">
                <div class="mr-auto">
                    <h3 class="m-subheader__title m-subheader__title--separator">
                        @yield('title')
                    </h3>
                    <ul class="m-subheader__breadcrumbs m-nav m-nav--inline">
                        <li class="m-nav__item m-nav__item--home">
                            <a href="{{URL::previous()}}" class="m-nav__link m-nav__link--icon">
                                <i class="m-nav__link-icon la la-users"></i>
                            </a>
                        </li>
                        <li class="m-nav__separator">
                            -
                        </li>
                         <li class="m-nav__item">
                            <a href="{{route('setting.index')}}" class="m-nav__link">
                                <span class="m-nav__link-text">
                                    All Setting
                                </span>
                            </a>
                        </li> 
                        <li class="m-nav__separator">
                            -
                        </li>
                        <li class="m-nav__item">
                            <a href="{{URL::current()}}" class="m-nav__link">
                                <span class="m-nav__link-text">
                                    @yield('title')
                                </span>
                            </a>
                        </li>
                    </ul>
                </div>
            </div>
        </div>
        <!-- END: Subheader -->
        <div class="m-content">
            <!--begin::Portlet-->
            <div class="m-portlet">
                <!--begin::Form-->
               <form method="post" class="m-form m-form--state m-form--fit m-form--label-align-right" enctype="multipart/form-data" action="{{ url('admin/update_setting') }}" id="setting_form_sample_3"
              class="m-form m-form--state m-form--fit m-form--label-align-right ">
              <div class="m-portlet__body">
            {{--{{ method_field('POST')}}--}}
            {{ csrf_field() }}
          
             
            <div class="form-body">
                @if ($errors->any())
                    <div class="alert alert-danger">
                        <button class="close" data-close="alert"></button>
                        <span> You have <?php echo count($errors->all()) ?> errors. Please check below.</span>
                    </div>
                @endif
                
                
                </div>

               
                <div class="row">
                    <!--/span-->
                    <div class="col-md-4">
                        <div class="form-group m-form__group row">
                            <label class="control-label">Support Email <span class="error_label">*</span></label>
                            <input value="@if(!empty($setting->support_email)) {{$setting->support_email}} @endif"  name="support_email" type="text" id="mask_ssn" placeholder="Support Email" class="form-control">
                            <p class="text-danger">{{$errors->first('support_email')}}</p>
                        </div>
                    </div>
                    <div class="col-md-4">
                        <div class="form-group m-form__group row">
                            <label class="control-label">Sale Email <span class="error_label">*</span></label>
                            <input value="@if(!empty($setting->sale_email)) {{$setting->sale_email}} @endif" name="sale_email" type="email" placeholder="sale_email" class="form-control required">
                            <p class="text-danger">{{$errors->first('sale_email')}}</p>
                        </div>
                    </div>
                    <div class="col-md-4">
                        <div class="form-group m-form__group row">
                            <label class="control-label">Contact No <span class="error_label">*</span></label>
                            <input value="@if(!empty($setting->contact_no)) {{$setting->contact_no}} @endif" name="contact_no" type="text" placeholder="Contact No" class="form-control ">
                            <p class="text-danger">{{$errors->first('contact_no')}}</p>
                        </div>
                    </div>
                    <div class="col-md-4">
                        <div class="form-group m-form__group row">
                            <label class="control-label">Address <span class="error_label">*</span></label>
                            <input value="@if(!empty($setting->address)) {{$setting->address}} @endif" name="address" type="text" placeholder="Address" class="form-control">
                           {{-- <p class="text-danger">{{$errors->first('address')}}</p>--}}
                        </div>
                    </div>
                    <div class="col-md-4">
                        <div class="form-group m-form__group row">
                            <label class="control-label">City <span class="error_label">*</span></label>
                            <input value="@if(!empty($setting->city)) {{$setting->city}} @endif" name="city" type="text" placeholder="City" id="city"
                                   class="form-control">
                        </div>
                    </div>
                      <div class="col-md-4">
                        <div class="form-group m-form__group row">
                            <label class="control-label">State <span class="error_label">*</span></label>
                            <input value="@if(!empty($setting->state)) {{$setting->state}} @endif" name="state" type="text" placeholder="State" id="city"
                                   class="form-control">
                        </div>
                    </div>

                    <div class="col-md-4">
                        <div class="form-group m-form__group row">
                            <label class="control-label">Country <span class="error_label">*</span></label>
                            <input value="@if(!empty($setting->country_code)) {{$setting->country_code}} @endif"  name="country_code" type="text" id="mask_ssn" placeholder="Country Code" class="form-control">
                            <p class="text-danger">{{$errors->first('country_code')}}</p>
                        </div>
                    </div>
                    <div class="col-md-4">
                        <div class="form-group m-form__group row">
                            <label class="control-label">Zipcode</label>
                            <input value="@if(!empty($setting->zipcode)) {{$setting->zipcode}} @endif" name="zipcode" type="text" placeholder="Zipcode" class="form-control required">
                            <p class="text-danger">{{$errors->first('zipcode')}}</p>
                        </div>
                    </div>
                    <div class="col-md-4">
                        <div class="form-group m-form__group row">
                            <label class="control-label">Facebook</label>
                            <input value="@if(!empty($setting->social_1)) {{$setting->social_1}} @endif" name="social_1" type="text" placeholder="Facebook" class="form-control ">
                            <p class="text-danger">{{$errors->first('social_1')}}</p>
                        </div>
                    </div>
                    <div class="col-md-4">
                        <div class="form-group m-form__group row">
                            <label class="control-label">Twitter {{--<span class="error_label">*</span>--}}</label>
                            <input value="@if(!empty($setting->social_2)) {{$setting->social_2}} @endif" name="social_2" type="text" placeholder="Twitter" class="form-control">
                           {{-- <p class="text-danger">{{$errors->first('social_2')}}</p>--}}
                        </div>
                    </div>
                    <div class="col-md-4">
                        <div class="form-group m-form__group row">
                            <label class="control-label">Google Analytic</label>
                            <textarea  class="form-control" name="google_analytic">@if(!empty($setting->google_analytic)) {{$setting->google_analytic}} @endif</textarea>
                        </div>
                    </div>
                     <div class="col-md-4">
                        <div class="form-group m-form__group row">
                            <label class="control-label">I Frame</label>
                            <textarea  class="form-control" name="map_iframe">@if(!empty($setting->map_iframe)) {{$setting->map_iframe}} @endif</textarea>
                        </div>
                    </div>
                    <!--/span-->
                </div>
                <div class="row col-md-12">
                    <div class="col-md-6"></div>
                     <div class="col-md-6 pull-right">
                    <div class="form-actions pull-right">
                <button type="submit" class="btn btn-accent btn_save">
                    <i class="fa fa-check"></i> Update
                </button>
                </div>
            </div>
                </div>
                    
                </div>
      
    </form>
            <!--end::Form-->
            </div>
            <!--end::Portlet-->
        </div>
    </div>

@stop

@section('footer_space')

   <script src="{{ asset('assets/pages/setting/update.js') }}"></script>

     <script src="{{ asset('assets/demo/default/custom/components/forms/widgets/summernote.js') }}"></script>

    
    

    <!-- multiple images -->



@stop